GNU bug report logs - #34316
sed misbehavior on BRE's

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: sed; Reported by: "Lange, Markus" <M.Lange@HIDDEN>; Keywords: notabug moreinfo; Done: Assaf Gordon <assafgordon@HIDDEN>; Maintainer for sed is bug-sed@HIDDEN.
bug closed, send any further explanations to 34316 <at> debbugs.gnu.org and "Lange, Markus" <M.Lange@HIDDEN> Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34316 <at> debbugs.gnu.org:


Received: (at 34316) by debbugs.gnu.org; 13 Feb 2019 23:15:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 13 18:15:24 2019
Received: from localhost ([127.0.0.1]:47458 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gu3kS-0007Mp-I5
	for submit <at> debbugs.gnu.org; Wed, 13 Feb 2019 18:15:24 -0500
Received: from mail-pf1-f178.google.com ([209.85.210.178]:34960)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>)
 id 1gu3kM-0007MK-D6; Wed, 13 Feb 2019 18:15:19 -0500
Received: by mail-pf1-f178.google.com with SMTP id z15so1945825pfa.2;
 Wed, 13 Feb 2019 15:15:18 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=+SMDVD6sjpgs1LSUGfVpT4ONY61EIwnFa7Urd+qd2pA=;
 b=BTyInYHlAEDmitNsxLU2deKW5jKoTzhjUegiqESwt1qcwWUfn6uSBqbcImd5IUpUoX
 J03yiXCu2Nz7cTXPefq3JC1jHJELJuySxVR2z9yy8/UDYhXVFqNE582XmAfRtM2SqgVP
 +DKxUrpRl2x2R12mXRFSvO6AcHIHScU6I4qoqBrV5JjJBLI7afTOwXV2VPwgI52vvCzJ
 vT+Nws2e46DnSN30AheHCVhctm3f5f6l85OpLq/oxV9li58o1Yv8EAs4UNyrY6eQEFYT
 Ojx+UCwlwuKDbLnq9tyFrdvx8C6VeLUAAFMh8RjnUGzCXYwo5XheYmS9yTn1Bv4J1Nx5
 1qBg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=+SMDVD6sjpgs1LSUGfVpT4ONY61EIwnFa7Urd+qd2pA=;
 b=WJZJ4lG4tJeqdB0z8CZlu6QIxMcI9JQXVXcLJiyFduMiJwdntsciw4dL/bOOfyDkvW
 g28Q3igKboQt0TT1o/3doYdklU0LniHBTmnQv7d/8t4V247LhnST7tPWj41DXavIHhsd
 KRv+xWF+n/c1fXwH4ngMHwpq7exJGn0MnOEFyw9RUXtkfg/I4VArly85aSoAk6YtF4xF
 jCgIyRzDTv2l6ZAyEIXJ8abusBosmJUiDD8dKmP7bAX2G+RpvbKDGZwbximlEVq5u330
 sI6nwax1RQVSmluM52m9zgNV3vj5nJDX3MBL363VLgMX2jHUGkyRypw3VwjvoWA0AqyV
 uL/g==
X-Gm-Message-State: AHQUAuZYblhNSbj/dNvIFruu2gArzaxGo+8Xb2kXuouD+yFNxsReHq5B
 +qbtl88WsDg8r3K75FaBw0jkVeI/
X-Google-Smtp-Source: AHgI3IaMF3ajF8T68BwovmwddWGstNa+8BfxYeenqZsce3aRMPAk56sOidjtdmJq2PRHSf8yc522Zg==
X-Received: by 2002:a62:36c1:: with SMTP id d184mr697923pfa.242.1550099711860; 
 Wed, 13 Feb 2019 15:15:11 -0800 (PST)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 y72sm482435pfa.98.2019.02.13.15.15.09
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 13 Feb 2019 15:15:10 -0800 (PST)
Subject: Re: bug#34316: sed misbehavior on BRE's
To: "Lange, Markus" <M.Lange@HIDDEN>,
 "34316 <at> debbugs.gnu.org" <34316 <at> debbugs.gnu.org>
References: <1549287772.75764.4.camel@HIDDEN>
 <579f66e1-28ae-7990-059d-973eed552842@HIDDEN>
 <1549871132.111257.1.camel@HIDDEN>
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <3381f331-a010-1282-9e71-b0f98d86a7cd@HIDDEN>
Date: Wed, 13 Feb 2019 16:15:08 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.4.0
MIME-Version: 1.0
In-Reply-To: <1549871132.111257.1.camel@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34316
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 34316 notabug
close 34316
stop

Hello,

On 2019-02-11 12:45 a.m., Lange, Markus wrote:
> # sed --version
> sed (GNU sed) 4.7
> ...
> 
> Using LANG=C (LC_* unset) works as expected:
> # LANG=C sed -n 's/^.*004K...\([0-
> 9xX]\{13\}\).*006V...\(.\{1,32\}\).*\(.020F.*\)021A.*$/\2 \1\3/p'
> Fehlerpica.dat
> 138742c156c1445f8bdc3a7845548c00 9783507435339020F a19.04.03
> 18290030a02544e6a451538b0e44f9e2 9783507435377020F a19.04.03
> 4c7ff6d790b34470852434f5ee41200b 9783034312189020F a12.12.11
> 
> Using LANG=en_us.utf8 don't get results.
> 

Thanks for confirming.

Since the file contains binary bytes, they would not match as valid
characters under UTF8 locale.

Using LC_ALL=C is indeed the solution.

As such, I'm closing this as "not a bug" but discussion can
continue by replying to this thread.

-assaf






Information forwarded to bug-sed@HIDDEN:
bug#34316; Package sed. Full text available.

Message received at 34316 <at> debbugs.gnu.org:


Received: (at 34316) by debbugs.gnu.org; 11 Feb 2019 15:54:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 11 10:54:10 2019
Received: from localhost ([127.0.0.1]:43953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gtDuL-00060v-UP
	for submit <at> debbugs.gnu.org; Mon, 11 Feb 2019 10:54:10 -0500
Received: from mail.dnb.de ([193.175.100.144]:53251)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <M.Lange@HIDDEN>) id 1gt6He-0008Gp-NI
 for 34316 <at> debbugs.gnu.org; Mon, 11 Feb 2019 02:45:43 -0500
Received: from dnb-tmg.ad.ddb.de (tmg.dnb.de [10.69.66.203])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.dnb.de (Postfix) with ESMTPS id 783CE415E3BE
 for <34316 <at> debbugs.gnu.org>; Mon, 11 Feb 2019 08:45:33 +0100 (CET)
Received: from dnb-tmg.ad.ddb.de (unknown [127.0.0.1])
 by IMSVA (Postfix) with ESMTP id 59D33A4052
 for <34316 <at> debbugs.gnu.org>; Mon, 11 Feb 2019 08:45:33 +0100 (CET)
Received: from dnb-tmg.ad.ddb.de (unknown [127.0.0.1])
 by IMSVA (Postfix) with ESMTP id 4EDC5A4041
 for <34316 <at> debbugs.gnu.org>; Mon, 11 Feb 2019 08:45:33 +0100 (CET)
Received: from dnbf-ex.AD.DDB.DE (unknown [10.69.63.244])
 by dnb-tmg.ad.ddb.de (Postfix) with ESMTPS
 for <34316 <at> debbugs.gnu.org>; Mon, 11 Feb 2019 08:45:33 +0100 (CET)
Received: from dnbf-ex.AD.DDB.DE (10.69.63.244) by dnbf-ex.AD.DDB.DE
 (10.69.63.244) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384) id 15.1.669.32; Mon, 11 Feb
 2019 08:45:33 +0100
Received: from dnbf-ex.AD.DDB.DE ([fe80::3576:7565:4f15:49c7]) by
 dnbf-ex.AD.DDB.DE ([fe80::3576:7565:4f15:49c7%4]) with mapi id
 15.01.0669.032; Mon, 11 Feb 2019 08:45:33 +0100
From: "Lange, Markus" <M.Lange@HIDDEN>
To: "34316 <at> debbugs.gnu.org" <34316 <at> debbugs.gnu.org>
Subject: Re: bug#34316: sed misbehavior on BRE's
Thread-Topic: bug#34316: sed misbehavior on BRE's
Thread-Index: AQHUvI+GsPfW5Yhke0y/XTA2teOaN6XRxscAgAhq3gA=
Date: Mon, 11 Feb 2019 07:45:33 +0000
Message-ID: <1549871132.111257.1.camel@HIDDEN>
References: <1549287772.75764.4.camel@HIDDEN>
 <579f66e1-28ae-7990-059d-973eed552842@HIDDEN>
In-Reply-To: <579f66e1-28ae-7990-059d-973eed552842@HIDDEN>
Accept-Language: de-DE, en-US
Content-Language: de-DE
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-mailer: Evolution 3.22.6 (3.22.6-14.el7) 
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [10.69.62.13]
Content-Type: text/plain; charset="utf-8"
Content-ID: <A454B5DCCF5E1649BD35F1484FB7FD9E@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-TM-AS-GCONF: 00
X-TM-AS-Product-Ver: IMSVA-9.1.0.1844-8.2.0.1013-24422.005
X-TM-AS-User-Approved-Sender: Yes
X-TMASE-Version: IMSVA-9.1.0.1844-8.2.1013-24422.005
X-TMASE-Result: 10--21.953100-10.000000
X-TMASE-MatchedRID: 8wu6UMziQPRDZFBd1jLr/qfXIl6Cf6Vr6/TNgEe0xcNAEhYD/cvoRmb6
 PphVtfZgCyvt7scDqfjv+zsxhXHiFQ7GVlPg1MoQJrUxoq6hvw8L8TGleseLPHc7xyOIHC+67th
 Lp55K4S69hoYQv83U1/z1YMpAYHYuOrPgsAyL7VGEryjhqiyzysMdI0UcXEHz2+mPn502VC/Xig
 k2UkwGMC0oqNMWCBtjGhs4vDBOGe0ItMWhbSshqohaKK0I26FpVG1q2Q/KGL7JyYU2J054PbQGi
 VUQu3cuNuInykXH5nxanin5MKfZSkbHh97RjZjIyATMS/tDL5ivFlDTfVnoWofAYSb4KlgZYHk3
 pEJdwIdBzWO1umIsfZGTpe1iiCJq0u+wqOGzSV1WdFebWIc3VsRB0bsfrpPIFT1PBs+MVY3nIzR
 zWS2P0w==
X-TMASE-SNAP-Result: 1.821001.0001-0-1-12:0,22:0,33:0,34:0-0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34316
X-Mailman-Approved-At: Mon, 11 Feb 2019 10:54:08 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

SGksDQoNCmFzIHNhaWQgaSd2ZSB0ZXN0ZWQgdXNpbmcgc2VkIDQuNyBvbiBhbiBhcmNobGludXgu
DQoNCiMgc2VkIC0tdmVyc2lvbg0Kc2VkIChHTlUgc2VkKSA0LjcNCi4uLg0KDQpVc2luZyBMQU5H
PUMgKExDXyogdW5zZXQpIHdvcmtzIGFzIGV4cGVjdGVkOg0KIyBMQU5HPUMgc2VkIC1uICdzL14u
KjAwNEsuLi5cKFswLQ0KOXhYXVx7MTNcfVwpLiowMDZWLi4uXCguXHsxLDMyXH1cKS4qXCguMDIw
Ri4qXCkwMjFBLiokL1wyIFwxXDMvcCcNCkZlaGxlcnBpY2EuZGF0DQoxMzg3NDJjMTU2YzE0NDVm
OGJkYzNhNzg0NTU0OGMwMCA5NzgzNTA3NDM1MzM5MDIwRiBhMTkuMDQuMDMNCjE4MjkwMDMwYTAy
NTQ0ZTZhNDUxNTM4YjBlNDRmOWUyIDk3ODM1MDc0MzUzNzcwMjBGIGExOS4wNC4wMw0KNGM3ZmY2
ZDc5MGIzNDQ3MDg1MjQzNGY1ZWU0MTIwMGIgOTc4MzAzNDMxMjE4OTAyMEYgYTEyLjEyLjExDQoN
ClVzaW5nIExBTkc9ZW5fdXMudXRmOCBkb24ndCBnZXQgcmVzdWx0cy4NCg0KQmVzdCByZWdhcmRz
LA0KTWFya3VzIExhbmdlDQoNCg0KT24gVHVlLCAyMDE5LTAyLTA1IGF0IDE2OjEyIC0wNzAwLCBB
c3NhZiBHb3Jkb24gd3JvdGU6DQo+IHRhZ3MgMzQzMTYgbW9yZWluZm8NCj4gc3RvcA0KPiANCj4g
SGVsbG8sDQo+IA0KPiBPbiAyMDE5LTAyLTA0IDY6NDIgYS5tLiwgTGFuZ2UsIE1hcmt1cyB3cm90
ZToNCj4gPiBJJ20gY3VycmVudGx5IG1pZ3JhdGluZyBwcm9jZXNzZXMgZnJvbSBhbiBvbGQgU3VT
RSA5IExpbnV4IHRvIGFuDQo+ID4gbmV3DQo+ID4gQ2VudE9TIDcgTGludXggYW5kIG9ic2VydmVk
IHNvbWUgdW5leHBlY3RlZCBiZWhhdmlvciBjaGFuZ2VzIG9uDQo+ID4gc2VkLg0KPiANCj4gWy4u
Ll0NCj4gPiBvbGQ6fiAjIHNlZCAtLXZlcnNpb24NCj4gPiBHTlUgc2VkIHZlcnNpb24gNC4wLjYN
Cj4gDQo+IFsuLi5dDQo+ID4gbmV3On4gIyBzZWQgLS12ZXJzaW9uDQo+ID4gc2VkIChHTlUgc2Vk
KSA0LjIuMg0KPiANCj4gUGxlYXNlIG5vdGUgdGhhdCBzZWQgNC4yLjIgaXMgYWxzbyB2ZXJ5IG9s
ZCAoNyB5ZWFycyBvbGQpLg0KPiBUaGUgbGF0ZXN0IHNlZCBpcyB2ZXJzaW9uIDQuNywgcmVsZWFz
ZWQgaW4gRGVjZW1iZXIgMjAxOC4NCj4gDQo+IFRoZXJlJ3MgbGltaXRlZCBhbW91bnQgb2Ygc3Vw
cG9ydCB3ZSBjYW4gaGVscCB3aXRoIHNlZC00LjIuMiAuDQo+IA0KPiANCj4gQmVmb3JlIGRpZ2dp
bmcgZnVydGhlciwgSSBub3RpY2UgdGhhdCB0aGUgZmlsZSB5b3UncmUgZGVhbGluZyB3aXRoDQo+
IGhhcyBub24tYXNjaWkgY2hhcmFjdGVycyBpbiBpdCwgZXZpZGVudCBieSBzb21lIG9mIHRoZSBl
eGFtcGxlIHRleHQNCj4geW91IHBhc3RlZCAoYW5kIGFsc28gaW4gdGhlIGF0dGFjaGVkIGZpbGUp
Og0KPiANCj4gPiA5eFhdXHsxM1x9XCkuKjAwNlYuLi5cKC5cezEsMzJcfVwpLipcKC4wMjBGLipc
KTAyMUEuKi9cMiBcMVwzL3AnDQo+ID4gRmVobGVycGljYS5kYXQNCj4gPiAxMzg3NDJjMTU2YzE0
NDVmOGJkYzNhNzg0NTU0OGMwMCA5NzgzNTA3NDM1MzM5HjAyMEYNCj4gPiAfYTE5LjA0LjAzHu+/
vR4yMDhADQo+ID4gH2EzMC0wMS0xOR9iYx4dDQo+ID4gMTgyOTAwMzBhMDI1NDRlNmE0NTE1Mzhi
MGU0NGY5ZTIgOTc4MzUwNzQzNTM3Nx4wMjBGDQo+ID4gH2ExOS4wNC4wMx7vv70eMjA4QA0KPiA+
IB9hMzAtMDEtMTkfYmMeHQ0KPiA+IDRjN2ZmNmQ3OTBiMzQ0NzA4NTI0MzRmNWVlNDEyMDBiIDk3
ODMwMzQzMTIxODkeMDIwRg0KPiA+IB9hMTIuMTIuMTEe77+9HjIwOEANCj4gPiAfYTMwLTAxLTE5
H2JjHh0NCj4gDQo+IEFuZCBzdWNoIGNoYXJhY3RlcnMgY2FuIGNhdXNlIHVuZXhwZWN0ZWQgcmVz
dWx0cywgZGVwZW5kaW5nIG9uIHRoZQ0KPiBhY3RpdmUgbG9jYWxlLg0KPiANCj4gQ2FuIHlvdSBw
bGVhc2UgcmUtcnVuIHRoZSB0ZXN0cyBvbiB0aGUgbmV3IG1hY2hpbmUgd2l0aCB0aGUgc2FtZQ0K
PiBsb2NhbGUgYXMgdGhlIG9sZCBtYWNoaW5lLCBhbmQgYWdhaW4gd2l0aCBMQ19BTEw9QyAoZm9y
Y2luZyBDL1BPU0lYDQo+IGxvY2FsZSksIHRvIGVuc3VyZSB0aGF0IGxvY2FsZSBhbmQgaW52YWxp
ZCBjaGFyYWN0ZXJzIGFyZSBub3QgdGhlDQo+IHByb2JsZW0gPw0KPiANCj4gQWxzbywgZXZlbiBp
ZiB5b3UncmUgJ3N0dWNrJyB3aXRoIHNlZC00LjIuMiwgY2FuIHlvdSB0cnkgd2l0aA0KPiBzZWQt
NC43IChwZXJoYXBzIGNvbXBpbGVkIGZyb20gc291cmNlIGNvZGUpLCB0byBzZWUgaWYgdGhpcyBp
cyBhbg0KPiBleGlzdGluZyBwcm9ibGVtLCBvciBwZXJoYXBzIGl0IHdhcyByZXNvbHZlZCBpbiB0
aGUgbWVhbnRpbWU/DQo+IA0KPiANCj4gcmVnYXJkcywNCj4gwqAgLSBhc3NhZg0KPiANCj4g




Information forwarded to bug-sed@HIDDEN:
bug#34316; Package sed. Full text available.

Message received at 34316 <at> debbugs.gnu.org:


Received: (at 34316) by debbugs.gnu.org; 6 Feb 2019 15:07:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 06 10:07:35 2019
Received: from localhost ([127.0.0.1]:36060 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1grOnW-0001cD-O8
	for submit <at> debbugs.gnu.org; Wed, 06 Feb 2019 10:07:35 -0500
Received: from mail.dnb.de ([193.175.100.144]:40199)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <M.Lange@HIDDEN>) id 1grI33-0000us-QU
 for 34316 <at> debbugs.gnu.org; Wed, 06 Feb 2019 02:55:10 -0500
Received: from dnb-tmg.ad.ddb.de (tmg.dnb.de [10.69.66.203])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.dnb.de (Postfix) with ESMTPS id C39184629A24;
 Wed,  6 Feb 2019 08:54:59 +0100 (CET)
Received: from dnb-tmg.ad.ddb.de (unknown [127.0.0.1])
 by IMSVA (Postfix) with ESMTP id A6880A4052;
 Wed,  6 Feb 2019 08:54:59 +0100 (CET)
Received: from dnb-tmg.ad.ddb.de (unknown [127.0.0.1])
 by IMSVA (Postfix) with ESMTP id 9B139A4041;
 Wed,  6 Feb 2019 08:54:59 +0100 (CET)
Received: from dnbf-ex.AD.DDB.DE (unknown [10.69.63.244])
 by dnb-tmg.ad.ddb.de (Postfix) with ESMTPS;
 Wed,  6 Feb 2019 08:54:59 +0100 (CET)
Received: from dnbf-ex.AD.DDB.DE (10.69.63.244) by dnbf-ex.AD.DDB.DE
 (10.69.63.244) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384) id 15.1.669.32; Wed, 6 Feb 2019
 08:54:59 +0100
Received: from dnbf-ex.AD.DDB.DE ([fe80::3576:7565:4f15:49c7]) by
 dnbf-ex.AD.DDB.DE ([fe80::3576:7565:4f15:49c7%4]) with mapi id
 15.01.0669.032; Wed, 6 Feb 2019 08:54:59 +0100
From: "Lange, Markus" <M.Lange@HIDDEN>
To: "34316 <at> debbugs.gnu.org" <34316 <at> debbugs.gnu.org>, "assafgordon@HIDDEN"
 <assafgordon@HIDDEN>
Subject: Re: bug#34316: sed misbehavior on BRE's
Thread-Topic: bug#34316: sed misbehavior on BRE's
Thread-Index: AQHUvI+GsPfW5Yhke0y/XTA2teOaN6XRxscAgACR2AA=
Date: Wed, 6 Feb 2019 07:54:59 +0000
Message-ID: <1549439698.19910.1.camel@HIDDEN>
References: <1549287772.75764.4.camel@HIDDEN>
 <579f66e1-28ae-7990-059d-973eed552842@HIDDEN>
In-Reply-To: <579f66e1-28ae-7990-059d-973eed552842@HIDDEN>
Accept-Language: de-DE, en-US
Content-Language: de-DE
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-mailer: Evolution 3.22.6 (3.22.6-14.el7) 
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [10.69.62.13]
Content-Type: text/plain; charset="utf-8"
Content-ID: <80CA07F62436D4429843D482A9034AEC@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-TM-AS-GCONF: 00
X-TM-AS-Product-Ver: IMSVA-9.1.0.1844-8.2.0.1013-24412.005
X-TM-AS-Result: No--21.724-5.0-31-10
X-imss-scan-details: No--21.724-5.0-31-10
X-TM-AS-User-Approved-Sender: No
X-TMASE-Version: IMSVA-9.1.0.1844-8.2.1013-24412.005
X-TMASE-Result: 10--21.724200-10.000000
X-TMASE-MatchedRID: 10BHq9ohmHxDZFBd1jLr/uYAh37ZsBDC1kqyrcMalqWsafcFLFlU1ORC
 eOswKzH8LfDSswwAtLi4CIBwqUMyymS5WQj/NRvEH5YQyOg71ZbSL+EVfOJR0zcQuTxPV94JaUX
 s6FguVy1GfJ4XSK6qrjWxXUsQn6aM4dd+IyhmjBnIBMxL+0MvmARryDXHx6oXbJknz+3f3aX+UD
 zHKK1SQgr163Z6bxZYA9AhSVbiJZkh6m4nn3Yfy6b8GfRpncAznjQstLm6Sv1hJP5nSqEYuThdT
 IDkpb541Fc61VCGvh2vRyhRj7plvUerW12mrTm5fPy7MM8OSkR+Mk6ACsw4JkYvSDWdWaRhdnla
 +4sEPurzvKNXCaPurccL8IH3ArJdZR2DfAXK6aFIRA38P/dwbnuUStogCU8SRz/ZK25RbKzMbpY
 z2ROa+bMAv20AM9xdLq/d0dAxG4V40349AtZ193ypjffgdgMPHznaOB9+eYhl6KRvtbb57HIgOX
 9HH0Q4yKWRhYowMRV+NZ4lfSsps0L9tcyTZdAsgxsfzkNRlfKx5amWK2anSPoLR4+zsDTtEPs/O
 vZqkzMWefvMt+drgg==
X-TMASE-SNAP-Result: 1.821001.0001-0-1-12:0,22:0,33:0,34:0-0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34316
X-Mailman-Approved-At: Wed, 06 Feb 2019 10:07:33 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)
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Information forwarded to bug-sed@HIDDEN:
bug#34316; Package sed. Full text available.
Added tag(s) moreinfo. Request was from Assaf Gordon <assafgordon@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34316 <at> debbugs.gnu.org:


Received: (at 34316) by debbugs.gnu.org; 5 Feb 2019 23:13:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 05 18:13:10 2019
Received: from localhost ([127.0.0.1]:33869 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gr9tt-0007MG-Pj
	for submit <at> debbugs.gnu.org; Tue, 05 Feb 2019 18:13:10 -0500
Received: from mail-pf1-f170.google.com ([209.85.210.170]:33864)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>)
 id 1gr9tr-0007Lg-9l; Tue, 05 Feb 2019 18:13:08 -0500
Received: by mail-pf1-f170.google.com with SMTP id h3so2221496pfg.1;
 Tue, 05 Feb 2019 15:13:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=dVruTNGbmTJiXe6SUNS7rboH5jM+GTFiS8lGs3vBPPs=;
 b=aiR9Y+q9Fgb6tSLBy1Hq0sNyX4VBos3Xf/PXSxD/TOFyGPpnJjRyzoiC0eaLM2yn59
 FDQGoXxDRe51g/Y81qIrkstABoNUhHSkkvSA9q8lsANoPwSgID3ExMLCDZbI1MGVlRKw
 4CrpKkatOHoI2Vd/4i4GM704P41x+ip2e3S0ShEBAZAMVIczfZANRXqY6IZm8pNVVzLD
 pia7zEBWpLOdPfVwKSuNRJxIFXBDavdOFnq/upIWUoirdlDi1d0qsIPJpf1HDwQQ/T74
 dmuoMA2qsZwJet+EnLY12IAzuzQfVWccTqiaRNMedkDwiZYKPMDqgqgzUACeb/EhE2+D
 jgIA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=dVruTNGbmTJiXe6SUNS7rboH5jM+GTFiS8lGs3vBPPs=;
 b=U58SLAl3CDo9bYPcSu7ad4kL+Knz+D+s3Pa6AXpIeSC3XDLy83mnW/+EqLjlamcHS+
 jg3ioxPnXjEZGdwyXnsV83rNkjv5sNmJbhCtpIysPIZZl0jU29hWmSFnBXxiwPPvaYHT
 zubNxJZPX6tBpsxtE77QpnIEziDtNYfJ5YTlIkySru7/VxP+6w/LbLxpDEizIbQWtHg0
 16vBy9Pq7NoMZocl6TLnWilQu5Y0EP+AgGpfzGcC8rXai0/uXsQmxArMcLXej70eB23k
 evlq6y1s2q4i5Fx/G25TrcIfxEBAsAxpkC3a9duFhuT8VWSd1H/8T4TVc0SQ/6E1rnJW
 EjYg==
X-Gm-Message-State: AHQUAuYvCoMgyKZifrg4cCV0GNlGUaQdDZF+KnOPHX8Nln0BeLyz7r4h
 u/+bYT5k1QE6AMUXufzIebHOVUf0
X-Google-Smtp-Source: AHgI3IavNhTxVoenPJKP0CzI+Q3HpbDgK/BLdlUjj6h5l4wscX5H9kbE0QcL8a+zIlzBewODuobFuQ==
X-Received: by 2002:a62:1043:: with SMTP id y64mr7595656pfi.78.1549408380870; 
 Tue, 05 Feb 2019 15:13:00 -0800 (PST)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 r130sm8379783pfr.48.2019.02.05.15.12.59
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 05 Feb 2019 15:12:59 -0800 (PST)
Subject: Re: bug#34316: sed misbehavior on BRE's
To: "Lange, Markus" <M.Lange@HIDDEN>, 34316 <at> debbugs.gnu.org
References: <1549287772.75764.4.camel@HIDDEN>
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <579f66e1-28ae-7990-059d-973eed552842@HIDDEN>
Date: Tue, 5 Feb 2019 16:12:58 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.4.0
MIME-Version: 1.0
In-Reply-To: <1549287772.75764.4.camel@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34316
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 34316 moreinfo
stop

Hello,

On 2019-02-04 6:42 a.m., Lange, Markus wrote:
> I'm currently migrating processes from an old SuSE 9 Linux to an new
> CentOS 7 Linux and observed some unexpected behavior changes on sed.
[...]
> old:~ # sed --version
> GNU sed version 4.0.6
[...]
> new:~ # sed --version
> sed (GNU sed) 4.2.2

Please note that sed 4.2.2 is also very old (7 years old).
The latest sed is version 4.7, released in December 2018.

There's limited amount of support we can help with sed-4.2.2 .


Before digging further, I notice that the file you're dealing with
has non-ascii characters in it, evident by some of the example text
you pasted (and also in the attached file):

> 9xX]\{13\}\).*006V...\(.\{1,32\}\).*\(.020F.*\)021A.*/\2 \1\3/p'
> Fehlerpica.dat
> 138742c156c1445f8bdc3a7845548c00 9783507435339020F a19.04.03�208@
> a30-01-19bc
> 18290030a02544e6a451538b0e44f9e2 9783507435377020F a19.04.03�208@
> a30-01-19bc
> 4c7ff6d790b34470852434f5ee41200b 9783034312189020F a12.12.11�208@
> a30-01-19bc

And such characters can cause unexpected results, depending on the
active locale.

Can you please re-run the tests on the new machine with the same
locale as the old machine, and again with LC_ALL=C (forcing C/POSIX
locale), to ensure that locale and invalid characters are not the
problem ?

Also, even if you're 'stuck' with sed-4.2.2, can you try with
sed-4.7 (perhaps compiled from source code), to see if this is an
existing problem, or perhaps it was resolved in the meantime?


regards,
  - assaf






Information forwarded to bug-sed@HIDDEN:
bug#34316; Package sed. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Feb 2019 15:34:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 04 10:34:52 2019
Received: from localhost ([127.0.0.1]:59600 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gqgGn-0000Zi-R4
	for submit <at> debbugs.gnu.org; Mon, 04 Feb 2019 10:34:50 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43973)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <M.Lange@HIDDEN>) id 1gqeWn-0008GX-Hu
 for submit <at> debbugs.gnu.org; Mon, 04 Feb 2019 08:43:14 -0500
Received: from lists.gnu.org ([209.51.188.17]:40661)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <M.Lange@HIDDEN>) id 1gqeWh-0006ss-Cn
 for submit <at> debbugs.gnu.org; Mon, 04 Feb 2019 08:43:07 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58346)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <M.Lange@HIDDEN>) id 1gqeWg-0000gm-0v
 for bug-sed@HIDDEN; Mon, 04 Feb 2019 08:43:07 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <M.Lange@HIDDEN>) id 1gqeWd-0006oy-MP
 for bug-sed@HIDDEN; Mon, 04 Feb 2019 08:43:05 -0500
Received: from prodfix-out0.dnb.de ([193.175.100.144]:39227 helo=mail.dnb.de)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <M.Lange@HIDDEN>) id 1gqeWc-0006k4-Nd
 for bug-sed@HIDDEN; Mon, 04 Feb 2019 08:43:03 -0500
Received: from dnb-tmg.ad.ddb.de (tmg.dnb.de [10.69.66.203])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.dnb.de (Postfix) with ESMTPS id 496FB53FD78C
 for <bug-sed@HIDDEN>; Mon,  4 Feb 2019 14:42:55 +0100 (CET)
Received: from dnb-tmg.ad.ddb.de (unknown [127.0.0.1])
 by IMSVA (Postfix) with ESMTP id 3F639A4052
 for <bug-sed@HIDDEN>; Mon,  4 Feb 2019 14:42:53 +0100 (CET)
Received: from dnb-tmg.ad.ddb.de (unknown [127.0.0.1])
 by IMSVA (Postfix) with ESMTP id 206B0A4041
 for <bug-sed@HIDDEN>; Mon,  4 Feb 2019 14:42:53 +0100 (CET)
Received: from dnbf-ex.AD.DDB.DE (unknown [10.69.63.244])
 by dnb-tmg.ad.ddb.de (Postfix) with ESMTPS
 for <bug-sed@HIDDEN>; Mon,  4 Feb 2019 14:42:53 +0100 (CET)
Received: from dnbf-ex.AD.DDB.DE (10.69.63.244) by dnbf-ex.AD.DDB.DE
 (10.69.63.244) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384) id 15.1.669.32; Mon, 4 Feb 2019
 14:42:52 +0100
Received: from dnbf-ex.AD.DDB.DE ([fe80::3576:7565:4f15:49c7]) by
 dnbf-ex.AD.DDB.DE ([fe80::3576:7565:4f15:49c7%4]) with mapi id
 15.01.0669.032; Mon, 4 Feb 2019 14:42:52 +0100
From: "Lange, Markus" <M.Lange@HIDDEN>
To: "bug-sed@HIDDEN" <bug-sed@HIDDEN>
Subject: sed misbehavior on BRE's
Thread-Topic: sed misbehavior on BRE's
Thread-Index: AQHUvI+GsPfW5Yhke0y/XTA2teOaNw==
Date: Mon, 4 Feb 2019 13:42:52 +0000
Message-ID: <1549287772.75764.4.camel@HIDDEN>
Accept-Language: de-DE, en-US
Content-Language: de-DE
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
x-mailer: Evolution 3.22.6 (3.22.6-14.el7) 
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [10.69.62.13]
Content-Type: multipart/mixed; boundary="_002_1549287772757644cameldnbde_"
MIME-Version: 1.0
X-TM-AS-GCONF: 00
X-TM-AS-Product-Ver: IMSVA-9.1.0.1844-8.2.0.1013-24408.007
X-TM-AS-Result: No--8.213-5.0-31-10
X-imss-scan-details: No--8.213-5.0-31-10
X-TM-AS-User-Approved-Sender: No
X-TMASE-Version: IMSVA-9.1.0.1844-8.2.1013-24408.007
X-TMASE-Result: 10--8.213200-10.000000
X-TMASE-MatchedRID: G+dB0I1Lh+ONQ8VRQhwTJ4SvKOGqLLPKwx0jRRxcQfPb6Y+fnTZUL9YQ
 AopXl6nxx2i+nFPoN4yjiN4qetDudOlVfYNOXGqmA9lly13c/gFes8naZb6fXUvAhd4DVNldHCd
 GeoAEt/1uplB24ga2jM81NvjC6w1Uoqoh0PWfbym/W88A/PbYWTyKfjoXVjyBZlEaNLFSLwM1+s
 b9aASqBjm60+rZyMs9RTqPGJTMTbLghsYZJmpGTlhxiWPCm7jELAnNohUyMa2AIO0KLsn/zaD8o
 0TMZeKd/2mRoySLLiZIfyiA7Z9O7EVapx/YKYLR2Hdvv/MGE3WRmzp54GcgzTfE7ZHdugFYfF4v
 dMjb6UwK9et2em8WWAPQIUlW4iWZIepuJ592H8um/Bn0aZ3AM540LLS5ukr9JLKASbQUyvCDBxw
 kYuhaX63WS3pROsBbPZex/kxUIHWpPjdqwB9qRebR8G+sdEAI/nnwJ52QYi/M/gWu/p797tDeEr
 aNBhRSEHiPttftbLjykVPM78LTGnwB3lM3eRJIftwZ3X11IV0=
X-TMASE-SNAP-Result: 1.821001.0001-0-1-12:0,22:0,33:0,34:0-0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 193.175.100.144
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 04 Feb 2019 10:34:39 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--_002_1549287772757644cameldnbde_
Content-Type: text/plain; charset="utf-8"
Content-ID: <95528B8D74E1C949A97E3ABBAD80FC25@HIDDEN>
Content-Transfer-Encoding: base64
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--_002_1549287772757644cameldnbde_
Content-Type: application/octet-stream; name="Fehlerpica.dat"
Content-Description: Fehlerpica.dat
Content-Disposition: attachment; filename="Fehlerpica.dat"; size=13990;
	creation-date="Mon, 04 Feb 2019 13:42:52 GMT";
	modification-date="Mon, 04 Feb 2019 13:42:52 GMT"
Content-ID: <C20A4222F329A94397243FFF2752D122@HIDDEN>
Content-Transfer-Encoding: base64
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--_002_1549287772757644cameldnbde_--





Acknowledgement sent to "Lange, Markus" <M.Lange@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-sed@HIDDEN. Full text available.
Report forwarded to bug-sed@HIDDEN:
bug#34316; Package sed. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 13 Feb 2019 23:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.